Error during command make check

Alex Chelminsky achelminsky at csc.com
Sun Apr 18 16:40:48 CEST 2010


Following successful completion of command

./configure ABI=64  --prefix=/omop_local/sfw


Followed by completed make, the run of make check resulted in:

ld: warning: file ../.libs/libgmp.so: linked
to /omop_local/downloads/src/gmp-4. 3.2/.libs/libgmp.so: attempted multiple
inclusion of file
creating t-sub
make  check-TESTS
ld.so.1: t-bswap: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25633 Killed                  ${dir}$tst
FAIL: t-bswap
ld.so.1: t-constants: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25655 Killed                  ${dir}$tst
FAIL: t-constants
ld.so.1: t-count_zeros: fatal: libgmp.so.3: open failed: No such file or
directory.
bash: line 4: 25675 Killed                  ${dir}$tst
FAIL: t-count_zeros
ld.so.1: t-gmpmax: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25697 Killed                  ${dir}$tst
FAIL: t-gmpmax
ld.so.1: t-hightomask: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25717 Killed                  ${dir}$tst:
FAIL: t-hightomask
ld.so.1: t-modlinv: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25738 Killed                  ${dir}$tst
FAIL: t-modlinv
ld.so.1: t-popc: fatal: libgmp.so.3: open failed: No such file or directory
bash: line 4: 25758 Killed                  ${dir}$tst
FAIL: t-popc:
ld.so.1: t-parity: fatal: libgmp.so.3: open failed: No such file or
directory
bash: line 4: 25778 Killed                  ${dir}$tst
FAIL: t-parity
ld.so.1: t-sub: fatal: libgmp.so.3: open failed: No such file or directory
bash: line 4: 25798 Killed                  ${dir}$tst
FAIL: t-sub
====================================
9 of 9 tests failed
Please report to gmp-bugs at gmplib.org
====================================

The file libgmp.so.3 is listed under:

/omop_local/downloads/src/gmp-4.3.2/.libs:

assert.o         libgmp.a         libgmp.so.3.5.2  mp_get_fns.o
randdef.o        randmts.o        rands.o
compat.o         libgmp.la        memory.o         mp_minv_tab.o
randiset.o       randmui.o        tal-reent.o
errno.o          libgmp.lai       mp_bpl.o         mp_set_fns.o
randlc2s.o       rand.o           version.o.
extract-dbl.o    libgmp.so        mp_clz_tab.o     randbui.o
randlc2x.o       randsd.o
invalid.o        libgmp.so.3      mp_dv_tab.o      randclr.o
randmt.o         randsdui.o

*** Error code 1
The following command caused the error:
failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=.; export srcdir; \
list='t-bswap t-constants  t-count_zeros t-gmpmax t-hightomask  t-modlinv
t-popc                                                  t-parity  t-sub'; \
if test -n "$list"; then \
  for tst in $list; do \
    if test -f ./$tst; then dir=./; \
    elif test -f $tst; then dir=; \
    else dir="./"; fi; \
    if  ${dir}$tst; then \
      all=`expr $all + 1`; \
      case "  " in \
      *" $tst "*) \
        xpass=`expr $xpass + 1`; \
        failed=`expr $failed + 1`; \
        echo "XPASS: $tst"; \
      ;; \
      *) \
        echo "PASS: $tst"; \
      ;; \
      esac; \
    elif test $? -ne 77; then \
      all=`expr $all + 1`; \
      case "  " in \
      *" $tst "*) \
        xfail=`expr $xfail + 1`; \
        echo "XFAIL: $tst"; \
      ;; \
      *) \
        failed=`expr $failed + 1`; \
        echo "FAIL: $tst"; \
      ;; \
      esac; \
    else \;
      skip=`expr $skip + 1`; \
      echo "SKIP: $tst"; \
    fi; \
  done; \
  if test "$failed" -eq 0; then \;
    if test "$xfail" -eq 0; then \
      banner="All $all tests passed"; \
    else \
      banner="All $all tests behaved as expected ($xfail expected
failures)"; \
    fi; \
  else \
    if test "$xpass" -eq 0; then \
      banner="$failed of $all tests failed"; \
    else \
      banner="$failed of $all tests did not behave as expected ($xpass
unexpecte                                                 d passes)"; \
    fi; \
  fi; \
  dashes="$banner"; \
  skipped=""; \
  if test "$skip" -ne 0; then \
    skipped="($skip tests were not run)"; \
    test `echo "$skipped" | wc -c` -gt `echo "$banner" | wc -c` && \
      dashes="$skipped"; \
  fi; \
  report=""; \
  if test "$failed" -ne 0 && test -n "gmp-bugs at gmplib.org"; then \
    report="Please report to gmp-bugs at gmplib.org"; \
    test `echo "$report" | wc -c` -gt `echo "$banner" | wc -c` && \
      dashes="$report"; \
  fi; \
  dashes=`echo "$dashes" | sed s/./=/g`; \
  echo "$dashes"; \
  echo "$banner"; \
  test -n "$skipped" && echo "$skipped"; \
  test -n "$report" && echo "$report"; \
  echo "$dashes"; \
  test "$failed" -eq 0; \
else :; fi
make: Fatal error: Command failed for target `check-TESTS'
Current working directory /omop_local/downloads/src/gmp-4.3.2/tests
*** Error code 1
make: Fatal error: Command failed for target `check-am'
Current working directory /omop_local/downloads/src/gmp-4.3.2/tests
*** Error code 1
The following command caused the error:
set fnord $MAKEFLAGS; amf=$2; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
list='. devel mpn mpz mpq mpf rand misc cxx mpbsd'; for subdir in $list; do
\
  echo "Making $target in $subdir"; \
  if test "$subdir" = "."; then \
    dot_seen=yes; \
    local_target="$target-am"; \
  else \
    local_target="$target"; \;
  fi; \
  (cd $subdir && make  $local_target) \
   || case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
done; \
if test "$dot_seen" = "no"; then \
  make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /omop_local/downloads/src/gmp-4.3.2/tests;
*** Error code 1
The following command caused the error:
set fnord $MAKEFLAGS; amf=$2; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
list='tests mpn mpz mpq mpf printf scanf cxx mpbsd demos tune doc'; for
subdir i                                                 n $list; do \
  echo "Making $target in $subdir"; \
  if test "$subdir" = "."; then \
    dot_seen=yes; \
    local_target="$target-am"; \
  else \
    local_target="$target"; \;
  fi; \
  (cd $subdir && make  $local_target) \
   || case "$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
done; \
if test "$dot_seen" = "no"; then \
  make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /omop_local/downloads/src/gmp-4.3.2
*** Error code 1
make: Fatal error: Command failed for target `check'

Alexander Chelminsky
Principal
CSC

GBS | p: +1 781 290 1620 | f: +1 781 890 1208 | m: +1 617 650 5453 |
achelminsky at csc.com | www.csc.com

This is a PRIVATE message. If you are not the intended recipient, please
delete without copying and kindly advise us by e-mail of the mistake in
delivery.
NOTE: Regardless of content, this e-mail shall not operate to bind CSC to
any order or other contract unless pursuant to explicit written agreement
or government initiative expressly permitting the use of e-mail for such
purpose.



More information about the gmp-bugs mailing list